Skip to main content

Inspect trial catalogue coverage

GET/v1/trial/coverage

Lists countries and representative places available in the shared trial sample. It does not expose country statistics for the full catalogue. Tags: trial

Authentication

Send the API key as a Bearer token in the Authorization header.

Parameters

This endpoint has no documented parameters.

Example request

curl --request GET \
--url 'https://api.eae.golf/v1/trial/coverage' \
--header 'Authorization: Bearer YOUR_API_KEY'

Responses

200 · Default Response

application/json

FieldTypeRequiredDescriptionConstraints
sampleIdstringYes
clubsintegerYes
locationsarray<object>Yes
locations[].countrystringYes
locations[].examplePlacesarray<string>Yes

Example

{
"sampleId": "global-trial-v2",
"clubs": 500,
"locations": [
{
"country": "Germany",
"examplePlaces": [
"Berlin",
"Hamburg"
]
}
]
}

401 · Default Response

application/json

FieldTypeRequiredDescriptionConstraints
statusCodeintegerYes
errorstringYes
codestringNo
messagestringYes
requestIdstringYes

Example

{
"statusCode": 0,
"error": "string",
"code": "trial_expired",
"message": "string",
"requestId": "req-7f3a2c"
}

429 · Default Response

application/json

FieldTypeRequiredDescriptionConstraints
statusCodeintegerYes
errorstringYes
codestringNo
messagestringYes
requestIdstringYes

Example

{
"statusCode": 0,
"error": "string",
"code": "trial_expired",
"message": "string",
"requestId": "req-7f3a2c"
}